import { UmbLitElement } from '../../core/lit-element/index.js';
export declare class UmbDashboardRedirectManagementElement extends UmbLitElement {
    #private;
    itemsPerPage: number;
    page: number;
    private _trackerEnabled;
    private _total;
    private _redirectData?;
    private _buttonState;
    private _filter?;
    private _search;
    private _pagination?;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDashboardRedirectManagementElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-dashboard-redirect-management': UmbDashboardRedirectManagementElement;
    }
}
